@import "../../../assets/styles/main.scss";

.countrySelectWithFlag {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 8px;
  width: fit-content;
}

.languageSelect,
.currencySelect {
  background: transparent;
  border: none;
  color: getHexColor("balck");
  width: fit-content;
  font-size: 16px;
  line-height: 21.79px;
  text-align: left;
  text-transform: uppercase;
  padding-right: 8px;
  cursor: pointer;
  @include lg {
    font-size: 13px;
  }

  @include sm {
    font-size: 14px;
    line-height: 19px;
  }

  option {
    background: white;
    color: getHexColor("balck");
    cursor: pointer;

    &:checked {
      background: getHexColor("white");
      color: getHexColor("balck");
    }
  }

  &:focus {
    outline: none;
  }
}

.currencySelect {
  @include vertical_align_center;
  @include sm {
    display: none;
  }
}
.customDropdown {
  &.languageSwicher {
    border: 1px solid white;
    border-radius: 80px;
    width: fit-content;

    button {
      gap: 10px;
      padding: 10px 15px 10px 10px;

      span {
        color: white !important;
      }
    }
  }
  .customDropdownToggle {
    gap: 8px;
    @include vertical_align_center;
    background-color: transparent !important;
    color:  getColorHex("black") ;
    border: unset !important;
    font-size: 16px;
    padding: 0px;
    line-height: 21.79px;
    text-align: left;
    @include lg{
      font-size: 13px;
    }

    &:active {
      color:  getColorHex("black") !important;
    }
    &:after {
      background-position: center;
      background-size: contain !important;
      background-repeat: no-repeat;
      width: 15px !important;
      height: 15px !important;
      border: unset !important;
      display: none;
    }
    .footerDesign {
      min-width: 88px;
      text-align: left;
      @include inter700;
    }

    .countryText {
      min-width: 34px;
      text-align: left;
    }
  }
  .customDropdownMenu {
    padding: 0px !important;
    border-radius: 10px;
    border: 1px solid #e9edf5;
    background: getColorHex("white");
    box-shadow: 0px 20px 70px 0px rgba(86, 89, 146, 0.1);
    width: 116px;
    min-width: 116px;
    margin-top: 10px;
    @include lg {
      width: 100px;
      min-width: 100px;
    }

    &.customDropdownMenuFooter {
      margin: 23.46px 0px;
      min-width: 164px;
      width: 100%;

      a {
        gap: 10px;
        width: 100%;
        justify-content: flex-start;
        img {
          width: 40px !important;
          height: 40px !important;
          object-fit: contain;
        }
      }
    }
    a {
      @include vertical_align_center;
      justify-content: center;
      gap: 8px;
      padding: 10px 15px 10px 10px;
      color:  getColorHex("black") !important;
      font-size: 16px;
      line-height: 16px;
      width: 116px;
      height: 55px;
      @include lg {
        width: 100px;
        font-size: 14px;
      }
      &:hover {
        background-color: unset !important;
      }
      img {
        width: 35px !important;
        height: 35px !important;
        object-fit: contain;
        @include lg {
          width: 25px !important;
          height: 25px !important;
        }
      }
    }
  }
  .currencyDropDownMenu {
    width: 60px !important;
    min-width: 60px !important;
    margin-top: 16px !important;
    a {
      width: 60px !important;
      font-size: 16px;
      line-height: 21.79px;
      text-align: left;
    }
  }
}
.card_round_item {
  position: relative;
  width: 35px;
  min-width: 35px;
  height: 35px;
  border-radius: 50%;

  &.footerRound {
    width: 40px;
    min-width: 40px;
    height: 40px;

    &_skeleton {
      width: 100%;
      height: 100%;
      border-radius: 50%;

      img {
        border-radius: 50%;
        object-fit: cover;
        height: 100%;
        width: 100%;
      }
    }
  }
  @include lg {
    width: 25px;
    min-width: 25px;
    height: 25px;
  }

  @include sm {
    width: 20px;
    min-width: 20px;
    height: 20px;
  }

  &_skeleton {
    width: 100%;
    height: 100%;
    border-radius: 50%;

    img {
      border-radius: 50%;
      object-fit: cover;
      height: 100%;
      width: 100%;
    }
  }
}
